Bug 470875 - Location 'LiveOS' should be overridable by boot argument
Location 'LiveOS' should be overridable by boot argument
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: LiveCD (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-10 13:16 EST by probono
Modified: 2013-01-09 23:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-19 16:16:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description probono 2008-11-10 13:16:15 EST
Description of problem:
I would like to have an USB drive with multiple different Fedora live images on it.

However, since all live systems look for their files in the LiveOS/ directory I have to shuffle around files in order to select which Live system I want to run.

How reproducible:
Try to run 2 or more Live systems from the same partition.
  
Actual results:
Impossible.

Expected results:
Should be able to specify the location of the live system, e.g.,:
from=/LiveOS
or
from=/LiveFC10
Comment 1 Jeremy Katz 2008-11-11 11:56:31 EST
This was discussed the other day on fedora-livecd-list (https://www.redhat.com/archives/fedora-livecd-list/2008-November/msg00011.html).  The crux of the problems are 

"""This has now come up a couple of times.  Unfortunately, changing it
makes things a lot more complicated.  Right now, I know that if I have a
LiveOS directory, that's the live image and that's what I have to warn
people about if we change.  If instead, it could be in any directory,
how does the boot loader bits get handled?  

So while this gets some of the simple bits, if this is something that's
worth supporting, I'd rather think about the whole picture.
1) Do we want to support this just off of USB-type media or on CDs also?
2) How do we want to namespace so that we can better support multiples
and have them identifiable?
3) How do we want to handle the boot-loader pieces if we have multiple
OS options on the same medium?
"""


I'm definitely open to some more discussion on it, but the list is probably better than doing so in bugzilla
Comment 2 Bug Zapper 2008-11-26 00:08:39 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jeremy Katz 2008-12-19 16:16:59 EST
Marking deferred in bugzilla, though the discussion is slowly continuing on list
Comment 4 probono 2010-02-13 17:06:23 EST
Apparently this has been implemented as of Fedora 12:
live_dir=SomeDir

Note You need to log in before you can comment on or make changes to this bug.